# world

### `getDimensionName(): String`

Returns the dimension name.

### `getDimensionId(): Number`

Returns the dimension ID.

### `getDimensionTime(): Number`

Returns the dimension time.

### `getTargetEntity(range): EntityLiving`

| Argument | Type     | Description                                         |
| -------- | -------- | --------------------------------------------------- |
| range    | `Number` | The maximum amount of range to get the entity from. |

Returns the closest targetable entity in a certain range.

### `getEntities(): Entity[]`

Returns all of the loaded/visible entities.

### `removeEntity(entityID): Undefined`

Removes entity from the world.

### `removeEntity(entity): Undefined`

Removes entity from the world.

### `newBlockPos(x,y,z): BlockPos`

Creates a new block pos.

### `getBlockName(blockpos): String`

Returns the block name.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/world.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
